pctx0
from pctx0 import Pctx0Client
client = Pctx0Client(
access_key="YOUR_ACCESS_KEY",
workspace_id="YOUR_WORKSPACE_ID",
)
docs = client.knowledge.list(limit=50, offset=0)import { Nctx0Client } from "@actx0/nctx0";
const client = new Nctx0Client({
accessKey: "YOUR_ACCESS_KEY",
workspaceId: "YOUR_WORKSPACE_ID",
});
const docs = await client.knowledge.list({ limit: 50, offset: 0 });
package main
import (
"context"
"github.com/Actx0/Gctx0"
)
func main() {
client := gctx0.NewClient(
gctx0.WithAccessKey("YOUR_ACCESS_KEY"),
gctx0.WithWorkspaceId("YOUR_WORKSPACE_ID"),
)
defer client.Close()
ctx := context.Background()
docs, err := client.Knowledge.List(ctx, 50, 0)
_ = docs
_ = err
}
curl -X GET 'https://app.actx0.com/api/v1/workspaces/<workspaceId>/documents' \
-H "X-Access-Key: YOUR_ACCESS_KEY" \
-H "Accept: application/json"
# ---
# acli
export ACTX0_ACCESS_KEY="YOUR_ACCESS_KEY"
export ACTX0_WORKSPACE_ID="YOUR_WORKSPACE_ID"
acli knowledge list
{
"documents": [
{
"id": "88888888-8888-8888-8888-888888888888",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"title": "Product FAQ",
"filename": "faq.md",
"contentType": "text/markdown",
"checksum": "e3b0c44298fc1c149afbf4c8996fb924",
"size": {
"value": 2048,
"unit": "bytes"
},
"charCount": 1800,
"status": "processing",
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z",
"labels": [
"faq",
"support"
],
"chunkingStrategy": "recursive",
"chunkSize": 800,
"chunkOverlap": 100
}
],
"_meta": {
"limit": 50,
"offset": 0,
"total": 12
}
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}Knowledge
List Documents
List knowledge documents in a workspace.
GET
/
workspaces
/
{workspaceId}
/
documents
pctx0
from pctx0 import Pctx0Client
client = Pctx0Client(
access_key="YOUR_ACCESS_KEY",
workspace_id="YOUR_WORKSPACE_ID",
)
docs = client.knowledge.list(limit=50, offset=0)import { Nctx0Client } from "@actx0/nctx0";
const client = new Nctx0Client({
accessKey: "YOUR_ACCESS_KEY",
workspaceId: "YOUR_WORKSPACE_ID",
});
const docs = await client.knowledge.list({ limit: 50, offset: 0 });
package main
import (
"context"
"github.com/Actx0/Gctx0"
)
func main() {
client := gctx0.NewClient(
gctx0.WithAccessKey("YOUR_ACCESS_KEY"),
gctx0.WithWorkspaceId("YOUR_WORKSPACE_ID"),
)
defer client.Close()
ctx := context.Background()
docs, err := client.Knowledge.List(ctx, 50, 0)
_ = docs
_ = err
}
curl -X GET 'https://app.actx0.com/api/v1/workspaces/<workspaceId>/documents' \
-H "X-Access-Key: YOUR_ACCESS_KEY" \
-H "Accept: application/json"
# ---
# acli
export ACTX0_ACCESS_KEY="YOUR_ACCESS_KEY"
export ACTX0_WORKSPACE_ID="YOUR_WORKSPACE_ID"
acli knowledge list
{
"documents": [
{
"id": "88888888-8888-8888-8888-888888888888",
"workspaceId": "11111111-1111-1111-1111-111111111111",
"title": "Product FAQ",
"filename": "faq.md",
"contentType": "text/markdown",
"checksum": "e3b0c44298fc1c149afbf4c8996fb924",
"size": {
"value": 2048,
"unit": "bytes"
},
"charCount": 1800,
"status": "processing",
"createdAt": "2026-07-01T12:00:00Z",
"updatedAt": "2026-07-01T12:00:00Z",
"labels": [
"faq",
"support"
],
"chunkingStrategy": "recursive",
"chunkSize": 800,
"chunkOverlap": 100
}
],
"_meta": {
"limit": 50,
"offset": 0,
"total": 12
}
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}{
"errorMessage": "Name is required"
}Authorizations
AccessKeyAuthApiKeyAuth
Workspace access key for agent/runtime integrations.
Path Parameters
Query Parameters
Page size. Defaults to 50, max 100.
Required range:
1 <= x <= 100Number of items to skip.
Required range:
x >= 0Was this page helpful?
⌘I
